Summary:	XDG user dirs support for GNOME/GTK+
Name:		xdg-user-dirs-gtk
Version:	0.8
Release:	%mkrel 2
License:	GPLv2+
Group:		Graphical desktop/GNOME
Url:		http://www.gnome.org/
Source0:	http://ftp.gnome.org/pub/gnome/sources/xdg-user-dirs-gtk/%{version}/%{name}-%{version}.tar.bz2
# (fc) 0.5-2mdv add KDE info to desktop file
Patch0:		xdg-user-dirs-gtk-0.7-kde.patch
# (fc) 0.5-2mdv detect mdk-folders entries in gtk bookmarks and replace them with standard entries
Patch1:		xdg-user-dirs-gtk-0.5-mdkfolders.patch
BuildRequires:	gtk2-devel
BuildRequires:	xdg-user-dirs
BuildRequires:	intltool
Requires:	xdg-user-dirs
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
xdg-user-dirs-gtk is a companion to xdg-user-dirs that integrates it into
the Gnome desktop and Gtk+ applications.

It gets run during login and does two things:
* Tracks changes of locale and prompts the user so the directories
  can be changed.
* Creates a default gtk bookmarks file if there is none, based
  on a set of xdg user dirs.

%prep
%setup -q
%patch0 -p1 -b .kde
%patch1 -p1 -b .mdkfolders

%build
%configure2_5x
%make

%install
rm -rf %{buildroot}
%makeinstall_std

%find_lang %{name}

mkdir -p %{buildroot}%{_datadir}/autostart
install -m644 user-dirs-update-gtk.desktop %{buildroot}%{_datadir}/autostart

mkdir -p %{buildroot}%{_sysconfdir}/X11/xinit.d
cat > %{buildroot}%{_sysconfdir}/X11/xinit.d/xdg-user-dirs-update-gtk <<EOF
#!/bin/sh
DESKTOP=\$1
case \$DESKTOP in
   GNOME|KDE|xfce4) exit 0;;
   *) exec /usr/bin/xdg-user-dirs-gtk-update ;;
esac
EOF

chmod +x %{buildroot}%{_sysconfdir}/X11/xinit.d/xdg-user-dirs-update-gtk 

%clean
rm -rf %{buildroot}

%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS ChangeLog README NEWS
%config(noreplace) %{_sysconfdir}/xdg/autostart/user-dirs-update-gtk.desktop
%config(noreplace) %{_sysconfdir}/X11/xinit.d/xdg-user-dirs-update-gtk 
%{_bindir}/xdg-user-dirs-gtk-update
%{_datadir}/autostart/user-dirs-update-gtk.desktop


%changelog
* Fri Sep 19 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 0.8-2mdv2009.0
+ Revision: 285918
- new license policy
- get rid of redefines
- update urls
- spec file clean

* Sat Sep 06 2008 Götz Waschk <waschk@mandriva.org> 0.8-1mdv2009.0
+ Revision: 281926
- fix buildrequires
- new version

* Wed Jun 18 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.7-3mdv2009.0
+ Revision: 226027
- rebuild

* Mon Mar 17 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 0.7-2mdv2008.1
+ Revision: 188407
- add support for Xfce
- spec file clean

* Tue Feb 12 2008 Götz Waschk <waschk@mandriva.org> 0.7-1mdv2008.1
+ Revision: 165918
- new version
- rediff patch 0

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Fri Sep 28 2007 Frederic Crozat <fcrozat@mandriva.com> 0.6-2mdv2008.0
+ Revision: 93665
- Update patch1 to fix crash on x86-64 (we were lucky it didn't crash on x86, it should have), bug report from Francois Bandet

* Tue Aug 21 2007 Götz Waschk <waschk@mandriva.org> 0.6-1mdv2008.0
+ Revision: 68371
- new version

* Fri Aug 03 2007 Frederic Crozat <fcrozat@mandriva.com> 0.5-2mdv2008.0
+ Revision: 58610
- Patch0: add KDE info to desktop file
- Patch1: detect mdk-folders entries in gtk-bookmarks and replace them with standard entries ; remove .directories in those mdk folders when translations changes
- add xinit.d script for desktop environment not support XDG autostart

* Mon May 14 2007 Götz Waschk <waschk@mandriva.org> 0.5-1mdv2008.0
+ Revision: 26652
- new version

* Tue Apr 17 2007 Götz Waschk <waschk@mandriva.org> 0.4-1mdv2008.0
+ Revision: 14169
- fix buildrequires
- Import xdg-user-dirs-gtk



* Wed Apr 11 2007 Götz Waschk <waschk@mandriva.org> 0.4-1mdv2007.1
- initial package
